
Redmine - Feature #6374

File raw view mode

2010-09-12 19:16 - Ammler _

Status: Closed Start date: 2010-09-12

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

in the repository view, you need to download a file to view the raw file. Would be nice to have this as option so you can view non

binary files directly with browser.

Related issues:

Related to Redmine - Defect #6256: Redmine considers non ASCII and UTF-16 tex... Closed 2010-08-31

Related to Redmine - Feature #2209: MIME type support for repository Entries Closed 2008-11-17

History

#1 - 2010-09-12 21:04 - Felix Schäfer

Is there something wrong with the "view" link up in the repository single file view, like here?

#2 - 2010-09-13 14:21 - Ammler _

try to copy & paste a snippet from there

#3 - 2010-09-13 14:22 - Ammler _

it should be basically the Download but without forcing Download

#4 - 2011-03-23 11:39 - Toshi MARUYAMA

- Category set to SCM

#5 - 2011-03-23 11:39 - Toshi MARUYAMA

- Status changed from New to 7

- Assignee set to Toshi MARUYAMA

#6 - 2011-03-23 11:52 - Toshi MARUYAMA

- Status changed from 7 to Closed

I implemented this feature in #6256.

Detecting text or binary is very difficult.

UTF-16 has '\0'.

So, I use file extension.

#7 - 2011-03-23 18:53 - Ammler _

thanks, I need to update my redmine :-)
